org.eclipse.viatra.query.runtime.util

## Class ViatraQueryLoggingUtil

- java.lang.Object
- - org.eclipse.viatra.query.runtime.util.ViatraQueryLoggingUtil

-     public class ViatraQueryLoggingUtil
      extends java.lang.Object

  Centralized logger of the VIATRA Query runtime.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.log4j.Logger` | `getDefaultLogger()` Provides a static default logger.
    `static org.apache.log4j.Logger` | `getLogger(java.lang.Class<?> clazz)` Provides a class-specific logger that also stores the global logger settings of the VIATRA Query runtime
    `static org.apache.log4j.Logger` | `getLogger(java.lang.Class<?> clazz, java.lang.String name)` Provides a named logger that also stores the global logger settings of the VIATRA Query runtime
    `static void` | `setExternalLogger(org.apache.log4j.Logger externalLogger)`
    `static void` | `setupConsoleAppenderForDefaultLogger()` Adds an appender to the default logger that will output to the default console with the TTCC conversion pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setExternalLogger

          public static void setExternalLogger(org.apache.log4j.Logger externalLogger)

    - #### getDefaultLogger

          public static org.apache.log4j.Logger getDefaultLogger()

      Provides a static default logger.

    - #### getLogger

          public static org.apache.log4j.Logger getLogger(java.lang.Class<?> clazz)

      Provides a class-specific logger that also stores the global logger settings of the VIATRA Query runtime
      Parameters:
        `clazz` -

    - #### getLogger

          public static org.apache.log4j.Logger getLogger(java.lang.Class<?> clazz,
                                                          java.lang.String name)

      Provides a named logger that also stores the global logger settings of the VIATRA Query runtime
      Parameters:
        `clazz` -
        `name` - a non-empty name to append to the class names
      Since:
        2.5

    - #### setupConsoleAppenderForDefaultLogger

          public static void setupConsoleAppenderForDefaultLogger()

      Adds an appender to the default logger that will output to the default console with the TTCC conversion pattern. Call this method if you don't have Log4J configured from properties. In addition, additivity is set to false for the default logger.